* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background: black;
  width: 100%;
  display: flex;
  height: 100vh;
  color: white;
  justify-content: center;
  align-items: center;
}

.fab {
  cursor: pointer;
  margin: 20px 70px;
  border-radius: 40%;
  padding: 10px 20px;
  font-size: 100px;
  font-weight: lighter;
  transition: 0.5s ease-in;
}

.icons:hover i {
  opacity: 0.1;
}

.icons i:hover {
  opacity: 1;
  font-size: 150px;
  font-weight: 200;
}

.uc-wrapper {
  display: inline-flex; /* Changed from flex to inline-flex */
  flex-direction: column;
  align-items: center;/* Add some margin if necessary */
  margin-right: 200px;
  transition: 0.25s ease-in;
}

.suprax{
  position: absolute;
  margin-left: 70px;
  padding-top: 50px;
}
.uc-wrapper:hover{
  rotate: -45deg;

}

.uc:hover {
  border-radius: 37px;
  opacity: 1;
  font-size: 150px;
  font-weight: 200;
  width: 200px;
  transition: .5s;
}

.suprax:hover {
  border-radius: 37px;
  opacity: 1;
  font-size: 150px;
  font-weight: 200;
  width: 200px;
  transition: .5s;
}

.sim:hover {
  border-radius: 37px;
  opacity: 1;
  font-size: 150px;
  font-weight: 200;
  width: 200px;
  transition: .5s;
}

.cr1 {
  background-color: white;
  border-radius: 50%;
  margin-left: 70px;
  opacity: .5;
  cursor: pointer;
  font-weight: lighter;
  transition: 0.5s ease-in;
}

.cr1:hover {
  border-radius: 37px;
  opacity: 1;
  font-size: 150px;
  font-weight: 200;
  border-radius: 50%;
  width: 200px;
  transition: .5s;
}

.icons i:hover:nth-child(1) {
  background: rgb(198, 211, 20);
  box-shadow: 0 3px 30px 0 rgb(144, 211, 20) inset,
              0 3px 30px 0 rgb(160, 211, 20),
              0 3px 30px 0 rgb(255, 251, 27) inset,
              0 3px 30px 0 rgb(192, 211, 20);
  text-shadow: 0 0 5px rgb(198, 211, 20),
               0 0 5px rgb(198, 211, 20);
}

.icons i:hover:nth-child(2) {
  background: rgb(52, 159, 25);
  box-shadow: 0 3px 30px 0 hsl(108, 73%, 36%) inset,
              0 3px 30px 0 hsl(108, 73%, 36%),
              0 3px 30px 0 hsl(108, 73%, 36%) inset,
              0 3px 30px 0 hsl(108, 73%, 36%);
  text-shadow: 0 0 5px hsl(108, 73%, 36%),
               0 0 5px hsl(108, 73%, 36%);
}

.icons img:hover:nth-child(3) {
  background: #ffffff;
  box-shadow: 0 3px 30px 0 #ffffff inset,
              0 3px 30px 0 #fffbfd,
              0 3px 30px 0 #ffffff inset,
              0 3px 30px 0 #ffffff;
  text-shadow: 0 0 5px #c13584,
               0 0 5px #c13584;
}

.icons img:hover:nth-child(4) {
  background: rgb(197, 0, 0);
  box-shadow: 0 3px 30px 0 rgb(197, 0, 0) inset,
              0 3px 30px 0 rgb(197, 0, 0),
              0 3px 30px 0 rgb(197, 0, 0) inset,
              0 3px 30px 0 rgb(197, 0, 0);
  text-shadow: 0 0 5px rgb(197, 0, 0),
               0 0 5px rgb(197, 0, 0);
}

.link-wrapper {
  display: flex;
  justify-content: center;
  margin-top: 200px;
}

.neon-text {
  font-size: 2em;
  color: #fff;
  text-decoration: none;
  transition: all 0.3s ease-in-out;
  position: relative;
}

.neon-text:hover {
  color: #0ff;
  text-shadow:
      0 0 5px rgb(111, 0, 255),
      0 0 10px rgb(111, 0, 255),
      0 0 20px rgb(111, 0, 255),
      0 0 40px rgb(111, 0, 255),
      0 0 80px rgb(111, 0, 255),
      0 0 90px rgb(111, 0, 255),
      0 0 100px rgb(111, 0, 255),
      0 0 150px rgb(111, 0, 255);
  transform: scale(1.1);
}

.neon-text::before, .neon-text::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0.1;
  transition: all 0.3s ease-in-out;
  transform: scale(1.2);
}

.neon-text:hover::before, .neon-text:hover::after {
  opacity: 0.2;
  transform: scale(1.4);
}
